# Serialized Form

## Package org.sqlite

### Class org.sqlite.FileException extends Exception implements Serializable

### Class org.sqlite.NativeLibraryNotFoundException extends Exception implements Serializable

### Class org.sqlite.SQLiteException extends SQLException implements Serializable

### Serialized Fields

#### resultCode

    SQLiteErrorCode resultCode

## Package org.sqlite.date

### Class org.sqlite.date.FastDateFormat extends Format implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### parser

    FastDateParser parser

#### printer

    FastDatePrinter printer

### Class org.sqlite.date.FastDateParser extends Object implements Serializable

serialVersionUID:
  2L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Create the object after serialization. This implementation reinitializes the transient properties.

Throws:
  `IOException` - if there is an IO issue.
  `ClassNotFoundException` - if a class cannot be found.

### Serialized Fields

#### century

    int century

#### locale

    Locale locale

#### pattern

    String pattern

#### startYear

    int startYear

#### timeZone

    TimeZone timeZone

### Class org.sqlite.date.FastDatePrinter extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException,
                            ClassNotFoundException

Create the object after serialization. This implementation reinitializes the transient properties.

Throws:
  `IOException` - if there is an IO issue.
  `ClassNotFoundException` - if a class cannot be found.

### Serialized Fields

#### mLocale

    Locale mLocale

The locale.

#### mPattern

    String mPattern

The pattern.

#### mTimeZone

    TimeZone mTimeZone

The time zone.